SUSE Security Update: Security update for helm-mirror
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:1888-1
Rating:             moderate
References:         #1156646 #1197728 
Cross-References:   CVE-2019-18658
CVSS scores:
                    CVE-2019-18658 (NVD) : 9.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
                    CVE-2019-18658 (SUSE): 6.1 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:L

Affected Products:
                    SUSE Linux Enterprise High Performance Computing 15-SP3
                    SUSE Linux Enterprise High Performance Computing 15-SP4
                    SUSE Linux Enterprise Module for Containers 15-SP3
                    SUSE Linux Enterprise Module for Containers 15-SP4
                    SUSE Linux Enterprise Server 15-SP3
                    SUSE Linux Enterprise Server 15-SP4
                    SUSE Linux Enterprise Server for SAP Applications 15-SP3
                    SUSE Linux Enterprise Server for SAP Applications 15-SP4
                    SUSE Manager Proxy 4.2
                    SUSE Manager Server 4.2
                    openSUSE Leap 15.3
                    openSUSE Leap 15.4
______________________________________________________________________________

   An update that solves one vulnerability and has one errata
   is now available.

Description:

   This update for helm-mirror fixes the following issues:

   - Updated to version 0.3.1:
     - CVE-2019-18658: Fixed a potential symbolic link issue in helm that
       could be used to leak sensitive files (bsc#1156646).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.4:

      zypper in -t patch openSUSE-SLE-15.4-2022-1888=1

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2022-1888=1

   - SUSE Linux Enterprise Module for Containers 15-SP4:

      zypper in -t patch SUSE-SLE-Module-Containers-15-SP4-2022-1888=1

   - SUSE Linux Enterprise Module for Containers 15-SP3:

      zypper in -t patch SUSE-SLE-Module-Containers-15-SP3-2022-1888=1



Package List:

   - openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64):

      helm-mirror-0.3.1-150000.1.13.1
      helm-mirror-debuginfo-0.3.1-150000.1.13.1

   - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):

      helm-mirror-0.3.1-150000.1.13.1
      helm-mirror-debuginfo-0.3.1-150000.1.13.1

   - SUSE Linux Enterprise Module for Containers 15-SP4 (aarch64 ppc64le s390x x86_64):

      helm-mirror-0.3.1-150000.1.13.1
      helm-mirror-debuginfo-0.3.1-150000.1.13.1

   - SUSE Linux Enterprise Module for Containers 15-SP3 (aarch64 ppc64le s390x x86_64):

      helm-mirror-0.3.1-150000.1.13.1
      helm-mirror-debuginfo-0.3.1-150000.1.13.1


References:

   https://www.suse.com/security/cve/CVE-2019-18658.html
   https://bugzilla.suse.com/1156646
   https://bugzilla.suse.com/1197728